## talloc 2.1.0

=== wscript ===
#!/usr/bin/env python

APPNAME = 'talloc'
VERSION = '2.1.0'


blddir = 'bin'

import Logs
import os, sys

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import sys
sys.path.insert(0, srcdir+"/buildtools/wafsamba")
import wafsamba, samba_dist, Options

# setup what directories to put in a tarball
samba_dist.DIST_DIRS('lib/talloc:. lib/replace:lib/replace buildtools:buildtools')


def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('talloc', noextension='talloc')
    opt.RECURSE('lib/replace')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--enable-talloc-compat1',
                       help=("Build talloc 1.x.x compat library [False]"),
                       action="store_true", dest='TALLOC_COMPAT1', default=False)
        opt.add_option('--disable-python',
                       help=("disable the pytalloc module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_talloc = conf.IN_LAUNCH_DIR()

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    if not conf.env.standalone_talloc:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('talloc', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TALLOC', 1)
        if conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
                                     implied_deps='talloc replace'):
            conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)

    conf.env.TALLOC_COMPAT1 = False
    if conf.env.standalone_talloc:
        conf.env.TALLOC_COMPAT1 = Options.options.TALLOC_COMPAT1

    conf.CHECK_XSLTPROC_MANPAGES()

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.find_program('python', var='PYTHON')
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytalloc-util as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()


def build(bld):
    bld.RECURSE('lib/replace')

    if bld.env.standalone_talloc:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.env.TALLOC_VERSION = VERSION
        private_library = False

        # should we also install the symlink to libtalloc1.so here?
        bld.SAMBA_LIBRARY('talloc-compat1-%s' % (VERSION),
                          'compat/talloc_compat1.c',
                          public_deps='talloc',
                          soname='libtalloc.so.1',
                          pc_files=[],
                          public_headers=[],
                          enabled=bld.env.TALLOC_COMPAT1)

        bld.SAMBA_BINARY('talloc_testsuite',
                         'testsuite_main.c testsuite.c',
                         deps='talloc',
                         install=False)

    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TALLOC'):

        bld.SAMBA_LIBRARY('talloc',
                          'talloc.c',
                          deps='replace',
                          abi_directory='ABI',
                          abi_match='talloc* _talloc*',
                          hide_symbols=True,
                          vnum=VERSION,
                          public_headers='talloc.h',
                          pc_files='talloc.pc',
                          public_headers_install=not private_library,
                          private_library=private_library,
                          manpages='man/talloc.3')

    if not bld.CONFIG_SET('USING_SYSTEM_PYTALLOC_UTIL') and not bld.env.disable_python:
        bld.SAMBA_LIBRARY('pytalloc-util',
            source='pytalloc_util.c',
            public_deps='talloc',
            pyembed=True,
            vnum=VERSION,
            hide_symbols=True,
            abi_directory='ABI',
            abi_match='pytalloc_*',
            private_library=private_library,
            public_headers='pytalloc.h',
            pc_files='pytalloc-util.pc'
            )
        bld.SAMBA_PYTHON('pytalloc',
                         'pytalloc.c',
                         deps='talloc pytalloc-util',
                         enabled=True,
                         realname='talloc.so')

def test(ctx):
    '''run talloc testsuite'''
    import Utils, samba_utils
    cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    sys.exit(ret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)


def pydoctor(ctx):
    '''build python apidocs'''
    cmd='PYTHONPATH=bin/python pydoctor --project-name=talloc --project-url=http://talloc.samba.org/ --make-html --docformat=restructuredtext --introspect-c-modules --add-module bin/python/talloc.*'
    print("Running: %s" % cmd)
    os.system(cmd)

=== buildtools/wafsamba/wscript ===
#!/usr/bin/env python

# this is a base set of waf rules that everything else pulls in first

import sys, wafsamba, Configure, Logs
import Options, os, preproc
from samba_utils import *
from optparse import SUPPRESS_HELP

# this forces configure to be re-run if any of the configure
# sections of the build scripts change. We have to check
# for this in sys.argv as options have not yet been parsed when
# we need to set this. This is off by default until some issues
# are resolved related to WAFCACHE. It will need a lot of testing
# before it is enabled by default.
if '--enable-auto-reconfigure' in sys.argv:
    Configure.autoconfig = True

def set_options(opt):
    opt.tool_options('compiler_cc')

    opt.tool_options('gnu_dirs')

    gr = opt.option_group('library handling options')

    gr.add_option('--bundled-libraries',
                   help=("comma separated list of bundled libraries. May include !LIBNAME to disable bundling a library. Can be 'NONE' or 'ALL' [auto]"),
                   action="store", dest='BUNDLED_LIBS', default='')

    gr.add_option('--private-libraries',
                   help=("comma separated list of normally public libraries to build instead as private libraries. May include !LIBNAME to disable making a library private. Can be 'NONE' or 'ALL' [auto]"),
                   action="store", dest='PRIVATE_LIBS', default='')

    extension_default = Options.options['PRIVATE_EXTENSION_DEFAULT']
    gr.add_option('--private-library-extension',
                   help=("name extension for private libraries [%s]" % extension_default),
                   action="store", dest='PRIVATE_EXTENSION', default=extension_default)

    extension_exception = Options.options['PRIVATE_EXTENSION_EXCEPTION']
    gr.add_option('--private-extension-exception',
                   help=("comma separated list of libraries to not apply extension to [%s]" % extension_exception),
                   action="store", dest='PRIVATE_EXTENSION_EXCEPTION', default=extension_exception)

    builtin_defauilt = Options.options['BUILTIN_LIBRARIES_DEFAULT']
    gr.add_option('--builtin-libraries',
                   help=("command separated list of libraries to build directly into binaries [%s]" % builtin_defauilt),
                   action="store", dest='BUILTIN_LIBRARIES', default=builtin_defauilt)

    gr.add_option('--minimum-library-version',
                   help=("list of minimum system library versions (LIBNAME1:version,LIBNAME2:version)"),
                   action="store", dest='MINIMUM_LIBRARY_VERSION', default='')

    gr.add_option('--disable-rpath',
                   help=("Disable use of rpath for build binaries"),
                   action="store_true", dest='disable_rpath_build', default=False)
    gr.add_option('--disable-rpath-install',
                   help=("Disable use of rpath for library path in installed files"),
                   action="store_true", dest='disable_rpath_install', default=False)
    gr.add_option('--disable-rpath-private-install',
                   help=("Disable use of rpath for private library path in installed files"),
                   action="store_true", dest='disable_rpath_private_install', default=False)
    gr.add_option('--nonshared-binary',
                   help=("Disable use of shared libs for the listed binaries"),
                   action="store", dest='NONSHARED_BINARIES', default='')
    gr.add_option('--disable-symbol-versions',
                   help=("Disable use of the --version-script linker option"),
                   action="store_true", dest='disable_symbol_versions', default=False)

    opt.add_option('--with-modulesdir',
                   help=("modules directory [PREFIX/modules]"),
                   action="store", dest='MODULESDIR', default='${PREFIX}/modules')

    opt.add_option('--with-privatelibdir',
                   help=("private library directory [PREFIX/lib/%s]" % Utils.g_module.APPNAME),
                   action="store", dest='PRIVATELIBDIR', default=None)

    opt.add_option('--with-libiconv',
                   help='additional directory to search for libiconv',
                   action='store', dest='iconv_open', default='/usr/local',
                   match = ['Checking for library iconv', 'Checking for iconv_open', 'Checking for header iconv.h'])
    opt.add_option('--with-gettext',
                   help='additional directory to search for gettext',
                   action='store', dest='gettext_location', default='/usr/local',
                   match = ['Checking for library intl', 'Checking for header libintl.h'])
    opt.add_option('--without-gettext',
                   help=("Disable use of gettext"),
                   action="store_true", dest='disable_gettext', default=False)

    gr = opt.option_group('developer options')

    gr.add_option('-C',
                   help='enable configure cacheing',
                   action='store_true', dest='enable_configure_cache')
    gr.add_option('--enable-auto-reconfigure',
                   help='enable automatic reconfigure on build',
                   action='store_true', dest='enable_auto_reconfigure')
    gr.add_option('--enable-debug',
                   help=("Turn on debugging symbols"),
                   action="store_true", dest='debug', default=False)
    gr.add_option('--enable-developer',
                   help=("Turn on developer warnings and debugging"),
                   action="store_true", dest='developer', default=False)
    gr.add_option('--picky-developer',
                   help=("Treat all warnings as errors (enable -Werror)"),
                   action="store_true", dest='picky_developer', default=False)
    gr.add_option('--fatal-errors',
                   help=("Stop compilation on first error (enable -Wfatal-errors)"),
                   action="store_true", dest='fatal_errors', default=False)
    gr.add_option('--enable-gccdeps',
                   help=("Enable use of gcc -MD dependency module"),
                   action="store_true", dest='enable_gccdeps', default=True)
    gr.add_option('--timestamp-dependencies',
                   help=("use file timestamps instead of content for build dependencies (BROKEN)"),
                   action="store_true", dest='timestamp_dependencies', default=False)
    gr.add_option('--pedantic',
		   help=("Enable even more compiler warnings"),
		   action='store_true', dest='pedantic', default=False)
    gr.add_option('--git-local-changes',
		   help=("mark version with + if local git changes"),
		   action='store_true', dest='GIT_LOCAL_CHANGES', default=False)

    gr.add_option('--abi-check',
		   help=("Check ABI signatures for libraries"),
		   action='store_true', dest='ABI_CHECK', default=False)
    gr.add_option('--abi-check-disable',
		   help=("Disable ABI checking (used with --enable-developer)"),
		   action='store_true', dest='ABI_CHECK_DISABLE', default=False)
    gr.add_option('--abi-update',
		   help=("Update ABI signature files for libraries"),
		   action='store_true', dest='ABI_UPDATE', default=False)

    gr.add_option('--show-deps',
		   help=("Show dependency tree for the given target"),
		   dest='SHOWDEPS', default='')

    gr.add_option('--symbol-check',
                  help=("check symbols in object files against project rules"),
                  action='store_true', dest='SYMBOLCHECK', default=False)

    gr.add_option('--dup-symbol-check',
                  help=("check for duplicate symbols in object files and system libs (must be configured with --enable-developer)"),
                  action='store_true', dest='DUP_SYMBOLCHECK', default=False)

    gr.add_option('--why-needed',
                  help=("TARGET:DEPENDENCY check why TARGET needs DEPENDENCY"),
                  action='store', type='str', dest='WHYNEEDED', default=None)

    gr.add_option('--show-duplicates',
                  help=("Show objects which are included in multiple binaries or libraries"),
                  action='store_true', dest='SHOW_DUPLICATES', default=False)

    gr = opt.add_option_group('cross compilation options')

    gr.add_option('--cross-compile',
		   help=("configure for cross-compilation"),
		   action='store_true', dest='CROSS_COMPILE', default=False)
    gr.add_option('--cross-execute',
		   help=("command prefix to use for cross-execution in configure"),
		   action='store', dest='CROSS_EXECUTE', default='')
    gr.add_option('--cross-answers',
		   help=("answers to cross-compilation configuration (auto modified)"),
		   action='store', dest='CROSS_ANSWERS', default='')
    gr.add_option('--hostcc',
		   help=("set host compiler when cross compiling"),
		   action='store', dest='HOSTCC', default=False)

    # we use SUPPRESS_HELP for these, as they are ignored, and are there only
    # to allow existing RPM spec files to work
    opt.add_option('--build',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_BUILD', default='')
    opt.add_option('--host',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_HOST', default='')
    opt.add_option('--target',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_TARGET', default='')
    opt.add_option('--program-prefix',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_PROGRAM_PREFIX', default='')
    opt.add_option('--disable-dependency-tracking',
		   help=SUPPRESS_HELP,
		   action='store_true', dest='AUTOCONF_DISABLE_DEPENDENCY_TRACKING', default=False)
    opt.add_option('--disable-silent-rules',
		   help=SUPPRESS_HELP,
		   action='store_true', dest='AUTOCONF_DISABLE_SILENT_RULES', default=False)

    gr = opt.option_group('dist options')
    gr.add_option('--sign-release',
                   help='sign the release tarball created by waf dist',
                   action='store_true', dest='SIGN_RELEASE')
    gr.add_option('--tag',
                   help='tag release in git at the same time',
                   type='string', action='store', dest='TAG_RELEASE')


@wafsamba.runonce
def configure(conf):
    conf.env.hlist = []
    conf.env.srcdir = conf.srcdir

    if Options.options.timestamp_dependencies:
        conf.ENABLE_TIMESTAMP_DEPENDENCIES()

    conf.SETUP_CONFIGURE_CACHE(Options.options.enable_configure_cache)

    # load our local waf extensions
    conf.check_tool('gnu_dirs')
    conf.check_tool('wafsamba')

    conf.CHECK_CC_ENV()

    conf.check_tool('compiler_cc')

    # we need git for 'waf dist'
    conf.find_program('git', var='GIT')

    # older gcc versions (< 4.4) does not work with gccdeps, so we have to see if the .d file is generated
    if Options.options.enable_gccdeps:
        from TaskGen import feature, after
        @feature('testd')
        @after('apply_core')
        def check_d(self):
            tsk = self.compiled_tasks[0]
            tsk.outputs.append(tsk.outputs[0].change_ext('.d'))

        import Task
        cc = Task.TaskBase.classes['cc']
        oldmeth = cc.run

        cc.run = Task.compile_fun_noshell('cc', '${CC} ${CCFLAGS} ${CPPFLAGS} ${_CCINCFLAGS} ${_CCDEFFLAGS} ${CC_SRC_F}${SRC} ${CC_TGT_F}${TGT[0].abspath(env)}')[0]
        try:
            try:
                conf.check(features='cc testd', fragment='int main() {return 0;}\n', ccflags=['-MD'], mandatory=True, msg='Check for -MD')
            except:
                pass
            else:
                conf.check_tool('gccdeps', tooldir=conf.srcdir + "/buildtools/wafsamba")
        finally:
            cc.run = oldmeth

    # make the install paths available in environment
    conf.env.LIBDIR = Options.options.LIBDIR or '${PREFIX}/lib'
    conf.env.BINDIR = Options.options.BINDIR or '${PREFIX}/bin'
    conf.env.SBINDIR = Options.options.SBINDIR or '${PREFIX}/sbin'
    conf.env.MODULESDIR = Options.options.MODULESDIR
    conf.env.PRIVATELIBDIR = Options.options.PRIVATELIBDIR
    conf.env.BUNDLED_LIBS = Options.options.BUNDLED_LIBS.split(',')
    conf.env.PRIVATE_LIBS = Options.options.PRIVATE_LIBS.split(',')

=== debian/changelog ===
talloc (2.1.0-1) unstable; urgency=low

  * New upstream release.
   + Drop 08_waf_python_config: now applied upstream.
  * Bump standards version to 3.9.4 (no changes).
  * Update Vcs header now that repository is in git.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Sep 2013 13:03:51 +0100

talloc (2.0.8-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.3 (no changes).
  * Use parseable copyright file format.
  * Properly clean up after build.
  * Migrate to Git.

  [ Christian Perrier ]
  * Use versioned license link in debian/copyright

  [ Jelmer Vernooij ]
  * Use dpkg-buildflags, enables hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Apr 2012 20:25:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -g -Wall
LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

conf_args = --prefix=/usr --disable-rpath-install --disable-rpath --bundled-libraries=NONE
conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
conf_args += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

export PYTHON="$(shell which `pyversions -d`)"
export PYTHON_CONFIG=$(PYTHON)-config

%:
	dh $* --with python2 

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_configure:
	LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" ./configure $(conf_args)

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=bin/shared ./bin/talloc_testsuite
endif

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8854
	rm -f .lock-wscript
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8855
	rm -f buildtools/wafsamba/*.pyc \
		buildtools/wafadmin/*.pyc \
		buildtools/wafadmin/Tools/*.pyc

override_dh_auto_install:
	mkdir -p $(DESTDIR)`swig -swiglib`
	$(MAKE) install DESTDIR=$(DESTDIR)
	# Waf really should be doing this:
	ar -rc libtalloc.a bin/default/talloc_*.o
	mv libtalloc.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip -plibtalloc2 --dbg-package=libtalloc2-dbg
	dh_strip -ppython-talloc --dbg-package=python-talloc-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## talloc 2.1.1

=== debian/changelog ===
talloc (2.1.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Paul Wise <pabs@debian.org>  Sun, 08 Jun 2014 17:14:38 +0800

talloc (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Jun 2014 01:22:09 +0200

talloc (2.1.0-2) unstable; urgency=medium

  * Change maintainer to Samba Debian maintainers.
  * Bump standards version to 3.9.5 (no changes).
  * Run testsuite from autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Apr 2014 16:08:49 +0200

=== debian/control ===
Source: talloc
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Christian Perrier <bubulle@debian.org>
Homepage: http://talloc.samba.org/
Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/pkg-samba/talloc.git
XS-Testsuite: autopkgtest

Package: libtalloc2
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: hierarchical pool based memory allocator
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.

Package: libtalloc2-dbg
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libtalloc2 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Recommends: libc6-dbg
Description: hierarchical pool based memory allocator - debug symbols
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the debug symbols.

Package: libtalloc-dev
Section: libdevel
Depends: libtalloc2 (=${binary:Version}), ${misc:Depends}, pkg-config
Architecture: any
Description: hierarchical pool based memory allocator - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files.

Package: python-talloc
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: python
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: hierarchical pool based memory allocator - Python bindings
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the Python bindings.

Package: python-talloc-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-talloc (= ${binary:Version})
Recommends: python-dbg, libtalloc2-dbg
Priority: extra
Description: hierarchical pool based memory allocator - Python debug extension
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the Python debug extension.

Package: python-talloc-dev
Architecture: any
Section: libdevel
Depends: python-talloc (= ${binary:Version}), ${misc:Depends}, pkg-config
Description: talloc Python bindings - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files for the Python bindings.

## talloc 2.1.2

=== debian/changelog ===
talloc (2.1.2-0+deb8u1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Paul Wise <pabs@debian.org>  Sun, 02 Apr 2017 11:56:56 +0800

talloc (2.1.2-0+deb8u1) jessie-security; urgency=high

  [ Andrew Bartlett ]
  * Update to stable required for Samba security release.

 -- Mathieu Parent <sathieu@debian.org>  Tue, 12 Apr 2016 00:01:10 +0200

talloc (2.1.2-3) unstable; urgency=medium

  * Add patch reproducible-build: use set time in manpage, make build
    reproducible. Closes: #782864
  * Fix ordering of paragraphs in debian/copyright.
  * Stop creating empty swig directory.
  * Drop unused swig dependency.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Apr 2015 09:58:25 +0000

talloc (2.1.2-2) unstable; urgency=medium

  * Make libtalloc2-dbg Multi-Arch: same.
  * Fix lib/replace/ paths in debian/copyright.
  * Pass CPPFLAGS onto configure to enable hardening.
  * Add patch revert-ldflags-atend: Revert upstream change to add
    LDFLAGS at end of LDFLAGS command-line. This broke use of
    --Wl,--as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 13:22:20 +0000

talloc (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.6.
  * Add short copyright license name for libreplace/timegm.c.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 15 Mar 2015 02:57:19 +0100

talloc (2.1.1-2) unstable; urgency=low

  * Use canonical URL in Vcs-Git.
  * Specify branch in Vcs-Git.
  * libtalloc-dev: Install talloc_guide.txt.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Jul 2014 23:40:00 +0200

## talloc 2.1.5

=== wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'talloc'
-VERSION = '2.1.0'
+VERSION = '2.1.5'
 
 
 blddir = 'bin'
@@ -12,7 +12,7 @@
 # find the buildtools directory
 srcdir = '.'
 while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
-    srcdir = '../' + srcdir
+    srcdir = srcdir + '/..'
 sys.path.insert(0, srcdir + '/buildtools/wafsamba')
 
 import sys
@@ -20,7 +20,8 @@
 import wafsamba, samba_dist, Options
 
 # setup what directories to put in a tarball
-samba_dist.DIST_DIRS('lib/talloc:. lib/replace:lib/replace buildtools:buildtools')
+samba_dist.DIST_DIRS("""lib/talloc:. lib/replace:lib/replace
+buildtools:buildtools third_party/waf:third_party/waf""")
 
 
 def set_options(opt):
@@ -59,13 +60,14 @@
 
     if not conf.env.disable_python:
         # also disable if we don't have the python libs installed
-        conf.find_program('python', var='PYTHON')
-        conf.check_tool('python')
-        conf.check_python_version((2,4,2))
+        conf.SAMBA_CHECK_PYTHON(mandatory=False, version=(2,4,2))
         conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
         if not conf.env.HAVE_PYTHON_H:
             Logs.warn('Disabling pytalloc-util as python devel libs not found')
             conf.env.disable_python = True
+
+    conf.CHECK_HEADERS('sys/auxv.h')
+    conf.CHECK_FUNCS('getauxval')
 
     conf.SAMBA_CONFIG_H()
 
@@ -89,10 +91,18 @@
                           public_headers=[],
                           enabled=bld.env.TALLOC_COMPAT1)
 
+        testsuite_deps = 'talloc'
+        if bld.CONFIG_SET('HAVE_PTHREAD'):
+            testsuite_deps += ' pthread'
+
         bld.SAMBA_BINARY('talloc_testsuite',
                          'testsuite_main.c testsuite.c',
-                         deps='talloc',
+                         testsuite_deps,
                          install=False)
+
+        bld.SAMBA_BINARY('talloc_test_magic_differs_helper',
+                         'test_magic_differs_helper.c',
+                         'talloc', install=False)
 
     else:
         private_library = True
@@ -113,23 +123,34 @@
                           manpages='man/talloc.3')
 
     if not bld.CONFIG_SET('USING_SYSTEM_PYTALLOC_UTIL') and not bld.env.disable_python:
-        bld.SAMBA_LIBRARY('pytalloc-util',
-            source='pytalloc_util.c',
-            public_deps='talloc',
-            pyembed=True,
-            vnum=VERSION,
-            hide_symbols=True,
-            abi_directory='ABI',
-            abi_match='pytalloc_*',
-            private_library=private_library,
-            public_headers='pytalloc.h',
-            pc_files='pytalloc-util.pc'
-            )
-        bld.SAMBA_PYTHON('pytalloc',
-                         'pytalloc.c',
-                         deps='talloc pytalloc-util',
-                         enabled=True,
-                         realname='talloc.so')
+        for env in bld.gen_python_environments(['PKGCONFIGDIR']):
+            name = bld.pyembed_libname('pytalloc-util')
+
+            bld.SAMBA_LIBRARY(name,
+                source='pytalloc_util.c',
+                public_deps='talloc',
+                pyembed=True,
+                vnum=VERSION,
+                hide_symbols=True,
+                abi_directory='ABI',
+                abi_match='pytalloc_*',
+                private_library=private_library,
+                public_headers='pytalloc.h',
+                pc_files='pytalloc-util.pc'
+                )
+            bld.SAMBA_PYTHON('pytalloc',
+                            'pytalloc.c',
+                            deps='talloc ' + name,
+                            enabled=True,
+                            realname='talloc.so')
+
+            bld.SAMBA_PYTHON('test_pytalloc',
+                            'test_pytalloc.c',
+                            deps='pytalloc',
+                            enabled=True,
+                            realname='_test_pytalloc.so',
+                            install=False)
+
 
 def test(ctx):
     '''run talloc testsuite'''
@@ -137,7 +158,14 @@
     cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
     ret = samba_utils.RUN_COMMAND(cmd)
     print("testsuite returned %d" % ret)
-    sys.exit(ret)
+    magic_cmd = os.path.join(srcdir, 'lib', 'talloc',
+                             'test_magic_differs.sh')
+
+    magic_ret = samba_utils.RUN_COMMAND(magic_cmd)
+    print("magic differs test returned %d" % magic_ret)
+    pyret = samba_utils.RUN_PYTHON_TESTS(['test_pytalloc.py'])
+    print("python testsuite returned %d" % pyret)
+    sys.exit(ret or magic_ret or pyret)
 
 def dist():
     '''makes a tarball for distribution'''

=== debian/changelog ===
talloc (2.1.5-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build python3 packages. Closes: #802484
  * Bump debhelper and standards version.
  * Do not encode the SOABI and the multiarch string into the pytalloc-util
    library, just append a '-py3'.
  * Make the build log a bit more verbose.

  [ Jelmer Vernooij ]
  * Simplify making waf more verbose.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 25 Feb 2016 03:43:08 +0000

talloc (2.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 20:57:46 +0000

talloc (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch revert-ldflags-atend: applied upstream.
  * Remove patch reproducible-build: applied upstream.
  * debian/copyright: Fix uniqueness of license names.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 02:46:57 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,15 @@
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Christian Perrier <bubulle@debian.org>
 Homepage: http://talloc.samba.org/
-Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/pkg-samba/talloc.git
+Build-Depends: debhelper (>= 9),
+  docbook-xml, docbook-xsl, xsltproc,
+  dh-exec,
+  dh-python,
+  libpopt-dev,
+  python-dev (>= 2.6.6-3),
+  python3-dev,
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-samba/talloc.git -b unstable
 XS-Testsuite: autopkgtest
 
 Package: libtalloc2
@@ -21,6 +27,7 @@
 
 Package: libtalloc2-dbg
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: libtalloc2 (= ${binary:Version}), ${misc:Depends}
@@ -76,3 +83,38 @@
  reference counting to determine when memory should be freed.
  .
  This package contains the development files for the Python bindings.
+
+Package: python3-talloc
+Pre-Depends: ${misc:Pre-Depends}
+Architecture: any
+Section: python
+Provides: ${python3:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: hierarchical pool based memory allocator - Python3 bindings
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the Python3 bindings.
+
+Package: python3-talloc-dbg
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-talloc (= ${binary:Version})
+Recommends: python3-dbg, libtalloc2-dbg
+Priority: extra
+Description: hierarchical pool based memory allocator - Python3 debug extension
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the Python3 debug extension.
+
+Package: python3-talloc-dev
+Architecture: any
+Section: libdevel
+Depends: python3-talloc (= ${binary:Version}), ${misc:Depends}, pkg-config
+Description: talloc Python3 bindings - development files
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the development files for the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -g -Wall

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

conf_args = --prefix=/usr --disable-rpath-install --disable-rpath --bundled-libraries=NONE
conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
conf_args += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
conf_args += --extra-python=python3
conf_args += -v

export PYTHON="$(shell which `pyversions -d`)"

%:
	dh $* --parallel --with python2,python3

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_configure:
	LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" ./configure $(conf_args)

override_dh_auto_build:
	$(MAKE) all V=1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=bin/shared ./bin/talloc_testsuite
endif

override_dh_install:
	DEB_PY2_INCDIR=$(shell python-config --includes | sed 's,^-I\([^ ]*\).*,\1,') \
	DEB_PY3_INCDIR=$(shell python3-config --includes | sed 's,^-I\([^ ]*\).*,\1,') \
		dh_install --list-missing

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8854
	rm -f .lock-wscript
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8855
	rm -f buildtools/wafsamba/*.pyc \
		third_party/waf/wafadmin/*.pyc \
		third_party/waf/wafadmin/Tools/*.pyc \

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
	# Waf really should be doing this:
	ar -rc libtalloc.a bin/default/talloc_*.o
	mv libtalloc.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip -plibtalloc2 --dbg-package=libtalloc2-dbg
	dh_strip -ppython-talloc --dbg-package=python-talloc-dbg
	dh_strip -ppython3-talloc --dbg-package=python3-talloc-dbg

override_dh_makeshlibs:
	dh_makeshlibs -plibtalloc2 -- -c4
	dh_makeshlibs -ppython-talloc -ppython3-talloc -Xtalloc. -- -c3

=== debian/watch ===
version=3
http://ftp.samba.org/pub/talloc/ talloc-(.+).tar.gz
